%define major	0
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}
%define gioname	gio2.0

%define enable_gphoto2	1
%define enable_iphone	1

%define Werror_cflags	%nil

Summary:	Glib VFS library
Name:		gvfs
Version:	1.15.0
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
#gw from Ubuntu, fix music player detection
# https://bugs.freedesktop.org/show_bug.cgi?id=24500
Patch0:		gvfs-music-player-mimetype.patch
Patch1:		gvfs-1.13.4-glibh.patch

BuildRequires:	gtk-doc
BuildRequires:	gettext-devel
BuildRequires:	intltool
Buildrequires:	xsltproc
BuildRequires:	cdda-devel
BuildRequires:	expat-devel
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gudev-1.0) >= 186
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(libsoup-gnome-2.4)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(openobex)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(udisks2)
%if %{enable_gphoto2}
BuildRequires:	pkgconfig(libgphoto2)
%endif
%if %{enable_iphone}
BuildRequires:	pkgconfig(libimobiledevice-1.0) >= 1.1.0
BuildRequires:	pkgconfig(libplist) >= 0.15
%endif

Requires(post,postun):	%{gioname} >= 2.23.4-2
Requires:	udisks2
Suggests:	%{name}-fuse
Suggests:	%{name}-smb
Suggests:	%{name}-archive
#Suggests: %{name}-obexftp
%if %{enable_gphoto2}
Suggests:	%{name}-gphoto2
%endif
Conflicts:	%{libname} < 1.6.7-4
Conflicts:	%{name}-gphoto2 <= 1.13.2-2

%description
This is a Virtual File System library based on gio and Glib.

%package -n %{libname}
Group:		System/Libraries
Summary:	Glib VFS library

%description -n %{libname}
This is a Virtual File System library based on gio and Glib.

%package -n %{devname}
Group:		Development/C
Summary:	Glib VFS Library - development files
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This is a Virtual File System library based on gio and Glib.

%package fuse
Summary:	FUSE support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fuse

%description fuse
This package provides support for applications not using gio
to access the gvfs filesystems.

%package smb
Summary:	Windows fileshare support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description smb
This package provides support for reading and writing files on windows
shares (SMB) to applications using gvfs.

%package archive
Summary:	Archiving support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description archive
This package provides support for accessing files inside Zip and Tar archives,
as well as ISO images, to applications using gvfs.

%package obexftp
Summary:	ObexFTP support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	obex-data-server >= 0.3.4-6

%description obexftp
This package provides support for reading files on Bluetooth mobile phones
and devices through ObexFTP to applications using gvfs.

%package gphoto2
Summary:	gphoto2 support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description gphoto2
This package provides support for reading and writing files on
PTP based cameras (Picture Transfer Protocol) and MTP based
media players (Media Transfer Protocol) to applications using gvfs.

%package iphone
Summary:	iphone support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description iphone
This package provides support for reading and writing files on
the iPhone and the iPod TouchP to applications using gvfs.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-dbus-service-dir=%{_datadir}/dbus-1/services \
	--disable-hal \
	--disable-gdu \
	--enable-udisks2 \
%if %{enable_gphoto2}
	--enable-gphoto2
%else
	--disable-gphoto2
%endif

%make

%install
%makeinstall_std
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%find_lang gvfs

# upstream bash completion is installed in the wrong place, with the wrong perms
# and redefine system variables without notice
rm -f %{buildroot}%{_sysconfdir}/profile.d/gvfs-bash-completion.sh

%files -f gvfs.lang
%{_datadir}/bash-completion/completions/gvfs
%{_bindir}/gvfs-*
%{_libdir}/gio/modules/libgioremote-volume-monitor.so
%{_libdir}/gio/modules/libgvfsdbus.so
%{_libexecdir}/gvfsd
%{_libexecdir}/gvfsd-afp
%{_libexecdir}/gvfsd-afp-browse
%{_libexecdir}/gvfsd-burn
%{_libexecdir}/gvfsd-cdda
%{_libexecdir}/gvfsd-computer
%{_libexecdir}/gvfsd-dav
%{_libexecdir}/gvfsd-dnssd
%{_libexecdir}/gvfsd-ftp
%{_libexecdir}/gvfsd-http
%{_libexecdir}/gvfsd-localtest
%{_libexecdir}/gvfsd-metadata
%{_libexecdir}/gvfsd-network
%{_libexecdir}/gvfsd-sftp
%{_libexecdir}/gvfsd-trash
%{_libdir}/gvfs-udisks2-volume-monitor
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/dbus-1/services/gvfs-metadata.service
%{_datadir}/dbus-1/services/org.gtk.Private.UDisks2VolumeMonitor.service
%dir %{_datadir}/gvfs
%dir %{_datadir}/gvfs/mounts
%dir %{_datadir}/gvfs/remote-volume-monitors
%{_datadir}/gvfs/mounts/afp-browse.mount
%{_datadir}/gvfs/mounts/afp.mount
%{_datadir}/gvfs/mounts/burn.mount
%{_datadir}/gvfs/mounts/cdda.mount
%{_datadir}/gvfs/mounts/computer.mount
%{_datadir}/gvfs/mounts/dav.mount
%{_datadir}/gvfs/mounts/dav+sd.mount
%{_datadir}/gvfs/mounts/dns-sd.mount
%{_datadir}/gvfs/mounts/ftp.mount
%{_datadir}/gvfs/mounts/http.mount
%{_datadir}/gvfs/mounts/localtest.mount
%{_datadir}/gvfs/mounts/network.mount
%{_datadir}/gvfs/mounts/sftp.mount
%{_datadir}/gvfs/mounts/trash.mount
%{_datadir}/GConf/gsettings/gvfs-dns-sd.convert
%{_datadir}/glib-2.0/schemas/org.gnome.system.dns_sd.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.gvfs.enums.xml
%{_datadir}/gvfs/remote-volume-monitors/udisks2.monitor
%{_mandir}/man1/gvfs*.1.*
%{_mandir}/man7/gvfs*.7.*

%files -n %{libname}
%{_libdir}/libgvfscommon.so.%{major}*

%files -n %{devname}
%doc NEWS ChangeLog AUTHORS TODO
%{_libdir}/lib*.so
%{_includedir}/gvfs-client

%files fuse
%{_libdir}/gvfsd-fuse

%files smb
%{_libexecdir}/gvfsd-smb
%{_libexecdir}/gvfsd-smb-browse
%{_datadir}/gvfs/mounts/smb-browse.mount
%{_datadir}/gvfs/mounts/smb.mount
%{_datadir}/GConf/gsettings/gvfs-smb.convert
%{_datadir}/glib-2.0/schemas/org.gnome.system.smb.gschema.xml

%files archive
%{_libexecdir}/gvfsd-archive
%{_datadir}/gvfs/mounts/archive.mount

%files obexftp
%{_libexecdir}/gvfsd-obexftp
%{_datadir}/gvfs/mounts/obexftp.mount

%if %{enable_gphoto2}
%files gphoto2
%{_libexecdir}/gvfsd-gphoto2
%{_datadir}/gvfs/mounts/gphoto2.mount
%{_libexecdir}/gvfs-gphoto2-volume-monitor
%{_datadir}/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
%{_datadir}/gvfs/remote-volume-monitors/gphoto2.monitor
%endif

%if %{enable_iphone}
%files iphone
%{_libexecdir}/gvfs-afc-volume-monitor
%{_libexecdir}/gvfsd-afc
%{_datadir}/dbus-1/services/org.gtk.Private.AfcVolumeMonitor.service
%{_datadir}/gvfs/mounts/afc.mount
%{_datadir}/gvfs/remote-volume-monitors/afc.monitor
%endif


%changelog
* Sun Nov 04 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.15.0-1
+ Revision: 821895
- update to new version 1.15.0

* Tue Aug 28 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.13.6-1
+ Revision: 815953
- fix file list
- package man files
- add missing buildrequires on gtk-doc and gettext-devel
- update to new version 1.13.6
- add buildrequires xsltproc
- update to new version 1.13.3

  + Matthew Dawkins <mattydaw@mandriva.org>
    - update to new version 1.13.4

* Tue Jul 10 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.13.2-3
+ Revision: 808686
- move dbus UDisks2VolumeMonitor service to main package, add conflicts on gphoto2 subpackage

* Tue Jul 10 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.13.2-2
+ Revision: 808685
- add few buildrequires
- fix file list
- do not link against g-d-u, because library is obsolete and sourcerpm does not provide it for a long time ago

* Mon Jul 09 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.13.2-1
+ Revision: 808611
- use bash-completion file shipped with upstream tarball
- revert use of find_lang
- update to new version 1.13.2
- bump buildrequires on gudev-1.0 >= 186
- add requires on udisks2
- spec file clean
- add buildrequires on libsystemd-login

* Thu May 17 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.12.3-1
+ Revision: 799413
- update to new version 1.12.3

* Fri Apr 27 2012 Götz Waschk <waschk@mandriva.org> 1.12.2-1
+ Revision: 793991
- update patch 1
- update to new version 1.12.2

* Mon Apr 23 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.12.1-1
+ Revision: 792838
- version update 1.12.1

* Fri Dec 09 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.10.1-1
+ Revision: 739560
- added missing BR
- fixed file list for smb pkg
- new version 1.10.1
- rediffed p0
- update files list
- convreted BRs to pkgconfig provides
- completely removed hal build option
- clean up spec

* Tue Dec 06 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.6.7-4
+ Revision: 738438
- added patch for glib.h 2.31.x strictness
- rebuild to fix requires for gio2.0
- cleaned up spec
- moved modules to main pkg
- removed defattr, mkrel, clean section, BuildRoot
- removed .la files
- removed dup gio-querymodules scriptlets
- handled by gio2.0 triggerin/triggerpostun

* Thu Oct 27 2011 Götz Waschk <waschk@mandriva.org> 1.6.7-3
+ Revision: 707547
- rebuild for new libcdio

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.6.7-2
+ Revision: 664964
- mass rebuild

* Mon Mar 21 2011 Götz Waschk <waschk@mandriva.org> 1.6.7-1
+ Revision: 647418
- new version
- remove gio gconf module

* Fri Nov 12 2010 Götz Waschk <waschk@mandriva.org> 1.6.6-1mdv2011.0
+ Revision: 596948
- new version
- update file list

* Tue Nov 02 2010 Götz Waschk <waschk@mandriva.org> 1.6.5-1mdv2011.0
+ Revision: 591912
- new version
- update file list

* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 1.6.4-3mdv2011.0
+ Revision: 591519
- reenable gconf support

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 1.6.4-2mdv2011.0
+ Revision: 590853
- gio does not have  the symbol  we need, so disable gonf interface

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 1.6.4-1mdv2011.0
+ Revision: 581437
- update to new version 1.6.4

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 1.6.3-1mdv2011.0
+ Revision: 551276
- update to new version 1.6.3

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.6.2-1mdv2011.0
+ Revision: 550753
- update to new version 1.6.2

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.6.1-2mdv2010.1
+ Revision: 540350
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2010.1
+ Revision: 538912
- update to new version 1.6.1
- fix hal build

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 528747
- new version
- drop patch 2

* Mon Mar 22 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-5mdv2010.1
+ Revision: 526386
- add media player patch from Ubuntu

  + Christophe Fergeau <cfergeau@mandriva.com>
    - use upstream patch for patch2

* Mon Mar 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.5.5-4mdv2010.1
+ Revision: 526335
- adjust libimobiledevice BuildRequires
- drop patch1 since in cooker, we no longer use the HAL volume monitor
- add patch2 to fix compilation with libimobiledevice 1.0
- rebuild against new libimobiledevice

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-3mdv2010.1
+ Revision: 518016
- don't suggest gnome-mount anymore

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-2mdv2010.1
+ Revision: 517968
- switch from hal to gdu
- fix gdu conditional

  + Wanderlei Cavassin <cavassin@mandriva.com.br>
    - fix postun script

* Mon Mar 08 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-1mdv2010.1
+ Revision: 515982
- update to new version 1.5.5

* Fri Feb 26 2010 Götz Waschk <waschk@mandriva.org> 1.5.4-3mdv2010.1
+ Revision: 511525
- fix gio cache post- and postun scripts

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 1.5.4-2mdv2010.1
+ Revision: 510218
- readd d-bus service files

* Mon Feb 22 2010 Götz Waschk <waschk@mandriva.org> 1.5.4-1mdv2010.1
+ Revision: 509585
- new version
- bump glib dep
- update file list

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 1.5.3-1mdv2010.1
+ Revision: 503159
- libiphone is now libimobiledevice
- update to new version 1.5.3

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 1.5.2-1mdv2010.1
+ Revision: 496828
- new version
- update glib dep
- update the gio module cache in postinstallation

* Sat Jan 02 2010 Götz Waschk <waschk@mandriva.org> 1.5.1-3mdv2010.1
+ Revision: 485005
- fix build deps

* Tue Nov 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.5.1-2mdv2010.1
+ Revision: 469747
- drop afc patch which is no longer useful with libiphone 0.9.5

* Thu Nov 19 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.5.1-1mdv2010.1
+ Revision: 467392
- adjust afc patch for gvfs 1.5.1. Can be dropped after next libiphone release

* Mon Nov 09 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4.1-1mdv2010.1
+ Revision: 463410
- update AFC backend to a more recent version
  This version compiles with the latest libiphone stack and come from
  upstream gvfs git repository

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 1.4.1-1mdv2010.0
+ Revision: 458817
- Release 1.4.1
- Remove patch2 (merged upstream)

* Tue Oct 13 2009 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-3mdv2010.0
+ Revision: 457028
- Patch2 (GIT): fix MTP device detections (GNOME bug #597585)

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-2mdv2010.0
+ Revision: 454647
- Suggests gphoto2 backend, used to handle digital cameras

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 1.4.0-1mdv2010.0
+ Revision: 446906
- new version

* Tue Sep 08 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.6-2mdv2010.0
+ Revision: 433141
- Switch gnome-mount dependency from requires to suggests

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 1.3.6-1mdv2010.0
+ Revision: 432577
- new version

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 1.3.5-1mdv2010.0
+ Revision: 420555
- new version
- bump glib dep

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 1.3.4-2mdv2010.0
+ Revision: 414843
- enable iphone support
- add iphone support (disabled for now)

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 1.3.4-1mdv2010.0
+ Revision: 414390
- update to new version 1.3.4

* Thu Jul 30 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.3-2mdv2010.0
+ Revision: 404637
- Fix Buildrequires
- Enable gphoto2 backend (but don't suggest it for now)
- Allow to build gdu backend (disabled)
- build with gudev support

* Wed Jul 29 2009 Götz Waschk <waschk@mandriva.org> 1.3.3-1mdv2010.0
+ Revision: 404049
- update to new version 1.3.3

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 1.3.2-1mdv2010.0
+ Revision: 395705
- new version
- update file list

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 386168
- new version
- bump glib dep

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2010.0
+ Revision: 376929
- update to new version 1.2.3

* Thu May 07 2009 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-3mdv2010.0
+ Revision: 372836
- gvfs-fuse should require fuse package

* Wed May 06 2009 Götz Waschk <waschk@mandriva.org> 1.2.2-2mdv2010.0
+ Revision: 372504
- split to reduce deps

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2009.1
+ Revision: 366964
- update to new version 1.2.2

* Fri Apr 03 2009 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 363681
- update to new version 1.2.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 355747
- update to new version 1.2.0

* Tue Mar 10 2009 Götz Waschk <waschk@mandriva.org> 1.1.8-1mdv2009.1
+ Revision: 353421
- update to new version 1.1.8

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 1.1.7-1mdv2009.1
+ Revision: 347286
- update to new version 1.1.7

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 1.1.6-1mdv2009.1
+ Revision: 340853
- update to new version 1.1.6

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 1.1.5-1mdv2009.1
+ Revision: 336438
- new version
- drop patch 0

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2009.1
+ Revision: 331394
- update to new version 1.1.4

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - install bash completion in the right place
    - don't redefine arbitrarily system variables (should be donne elsewhere)

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2009.1
+ Revision: 326164
- new version
- rediff patch 0
- call libtoolize

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdv2009.1
+ Revision: 315792
- update to new version 1.1.2

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdv2009.1
+ Revision: 309127
- new version
- fix linking
- bump deps
- disable parallel build
- update file list

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdv2009.1
+ Revision: 306203
- update to new version 1.0.3

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 1.0.2-1mdv2009.1
+ Revision: 295609
- new version
- drop patch 2

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-2mdv2009.0
+ Revision: 290188
- Patch2 (SVN): bug fixes for GNOME bug #552168 529596

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 287813
- new version

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 286597
- new version

* Tue Sep 16 2008 Götz Waschk <waschk@mandriva.org> 0.99.8-1mdv2009.0
+ Revision: 285130
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 0.99.7.1-1mdv2009.0
+ Revision: 283020
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 0.99.7-1mdv2009.0
+ Revision: 282945
- new version

* Sat Sep 06 2008 Götz Waschk <waschk@mandriva.org> 0.99.6-2mdv2009.0
+ Revision: 281927
- rebuild with new libsoup

* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 0.99.6-1mdv2009.0
+ Revision: 278814
- new version
- drop patch 1

* Fri Aug 29 2008 Frederic Crozat <fcrozat@mandriva.com> 0.99.5-2mdv2009.0
+ Revision: 277269
-really don't enable gphoto2 support
- Patch2 (SVN): fix LUKS mounting (Fedora bug #460223)

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 0.99.5-1mdv2009.0
+ Revision: 273681
- new version

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 0.99.4-2mdv2009.0
+ Revision: 271236
- depend on gnome-mount (bug #42494)

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 0.99.4-1mdv2009.0
+ Revision: 263724
- new version
- bump glib dep

* Fri Aug 01 2008 Götz Waschk <waschk@mandriva.org> 0.99.3-3mdv2009.0
+ Revision: 258931
- rebuild for missing package

  + Frederic Crozat <fcrozat@mandriva.com>
    - Disable gphoto2 support (cause double mount request in nautilus, Mdv bug #37589)

* Thu Jul 24 2008 Götz Waschk <waschk@mandriva.org> 0.99.3-1mdv2009.0
+ Revision: 244952
- new version
- drop patch 0

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.99.2-3mdv2009.0
+ Revision: 243730
- fix a crash (b.g.o #544399)

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 0.99.2-2mdv2009.0
+ Revision: 240448
- rebuild

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 0.99.2-1mdv2009.0
+ Revision: 240279
- new version
- update file list

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 0.99.1-1mdv2009.0
+ Revision: 230957
- new version

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 0.2.5-1mdv2009.0
+ Revision: 230134
- new version
- drop patch 2
- update buildrequires

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.4-2mdv2009.0
+ Revision: 214320
- Patch0 (SVN): various bug fixes (SMB related)

* Tue May 27 2008 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 211530
- New version 0.2.4
- drop patch2, merged upstream

* Thu May 22 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.3-5mdv2009.0
+ Revision: 209999
- Update patch2 with additional fixes for FUSE mount

* Wed May 21 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.3-4mdv2009.0
+ Revision: 209773
- bump release
- Remove unwanted changes from patch
- Patch2 (SVN): various fixes from SVN
- remove patch from svn
- Remove patch2, it is incorrect and is causing more problems than it tried to solved

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for missing source package

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 192486
- new version
- drop patch 3

* Tue Apr 01 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.2-2mdv2008.1
+ Revision: 191367
- Patch2: unmount ejected volume when they are in fstab (Mdv bug #39540)
- Patch3: various fixes from SVN

* Fri Mar 28 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.2-1mdv2008.1
+ Revision: 190879
- Release 0.2.2
- Remove patch2, merged upstream

* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.1-2mdv2008.1
+ Revision: 190663
- Patch2 : various fixes from SVN

* Mon Mar 17 2008 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2008.1
+ Revision: 188378
- new version
- drop patch 2

* Mon Mar 17 2008 Frederic Crozat <fcrozat@mandriva.com> 0.2.0.1-2mdv2008.1
+ Revision: 188348
- Patch2 (SVN): lot of bug fixes from SVN

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 0.2.0.1-1mdv2008.1
+ Revision: 183717
- new version
- new version
- drop patch 0

* Fri Mar 07 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.11-3mdv2008.1
+ Revision: 181418
- Patch0: resync with current SVN
- Patch1: show vfat and ntfs mount points even if they are in /mnt

* Tue Mar 04 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.11-2mdv2008.1
+ Revision: 178779
- Add expat-devel as BR, needed to build OBEXFTP support

* Tue Mar 04 2008 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdv2008.1
+ Revision: 178715
- new version
- update buildrequires
- new version
- drop patch 0

* Fri Feb 29 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.8-2mdv2008.1
+ Revision: 176769
- Patch0 (SVN): fix dav backend
- Add missing BR : add support for gphoto2, avahi and gnome-keyring

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.1.8-1mdv2008.1
+ Revision: 175104
- new version
- drop patch
- update file list

* Wed Feb 13 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.7-2mdv2008.1
+ Revision: 167019
- Patch0 (SVN): hide nfs mount points (Mdv bug #37091)

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2008.1
+ Revision: 165835
- new version
- update deps
- update file list

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2008.1
+ Revision: 159678
- new version
- bump deps

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 0.1.4-2mdv2008.1
+ Revision: 159517
- build with new libsoup

* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 0.1.4-1mdv2008.1
+ Revision: 155695
- new version

* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 0.1.3-1mdv2008.1
+ Revision: 155643
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 0.1.2-1mdv2008.1
+ Revision: 151757
- fix buildrequires
- new version
- bump deps
- drop patch

* Fri Jan 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.1-2mdv2008.1
+ Revision: 147899
- Patch0 (SVN): fix crash in computer:// uri helper

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2008.1
+ Revision: 146647
- new version
- drop patch
- update file list

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 0.1.0-3mdv2008.1
+ Revision: 146621
- fix deps

* Tue Jan 08 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.0-2mdv2008.1
+ Revision: 146516
- Patch0 (SVN): many fixes from SVN, including glib 2.15.1 support

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2008.1
+ Revision: 136815
- import gvfs


* Thu Dec 20 2007 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2008.1
- initial package

